Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.olapi.metadata.mdm
Interface MdmNamingConvention

All Known Subinterfaces:
  Mdm10_1_0_3_NamingConvention

public interface MdmNamingConvention

An interface for an object that provides a unique identification for a custom `BaseMetadataObject`. When an application creates a custom `MdmObject` or a custom `MtmObject`, Oracle OLAP uses an `Mdm9iNamingConvention` object to generate an identification `String` for the custom metadata object.

The naming convention implemented by an `Mdm9iNamingConvention` for a custom `BaseMetadataObject` has the form objectType_ownerName_objectName. For example, for a custom `MdmMeasure` named `MYSALES`, the default `Mdm9iNamingConvention` generates the object ID `M_TRANSIENT_MYSALES`.

If you want to have a different naming convention for custom metadata objects, then you can implement this interface and use your `MdmNamingConvention` as the input parameter to the `setMdmNamingConvention` method of your `MdmMetadataProvider`.

The methods of an `MdmNamingConvention` are not used by an application; they are called internally by Oracle OLAP.

Method Summary
`java.lang.String` | `generateAttributeID(MdmPrimaryDimension primaryDimension, java.lang.String attributeName)` Generates a unique identification for a custom `MdmAttribute`.
`java.lang.String` | `generateCloneID(MdmObject prototype)` Generates a unique identification for a custom `MdmObject` that is a copy of an existing `MdmObject`.
`java.lang.String` | `generateDerivedAttributeID(MdmPrimaryDimension primaryDimension, java.lang.String derivedAttributeType)` Generates a unique identification for a custom derived `MdmAttribute`.
`java.lang.String` | `generateHierarchyID(MdmPrimaryDimension primaryDimension, java.lang.String hierarchyName)` Generates a unique identification for a custom `MdmHierarchy`.
`java.lang.String` | `generateLevelID(MdmLevelHierarchy levelHierarchy, java.lang.String levelName)` Generates a unique identification for a custom `MdmLevel`.
`java.lang.String` | `generateMeasureDimensionID()` Generates a unique identification for a custom `MdmMeasureDimension`.
`java.lang.String` | `generateMeasureID(MtmPartitionedCube cube, java.lang.String measureName)` Generates a unique identification for a custom `MdmMeasure`.
`java.lang.String` | `generatePrimaryDimensionID(java.lang.String dimensionName)` Generates a unique identification for a custom `MdmPrimaryDimension`.
`java.lang.String` | `generateSchemaID(java.lang.String schemaName)` Generates a unique identification for a custom `MdmSchema`.

Method Detail

### generateSchemaID

    public java.lang.String generateSchemaID(java.lang.String schemaName)

  Generates a unique identification for a custom `MdmSchema`.
  Parameters:
    `schemaName` - A `String` that has the name of the custom `MdmSchema`.
  Returns:
    A `String` that has the unique identification of the custom `MdmSchema`.

### generatePrimaryDimensionID

    public java.lang.String generatePrimaryDimensionID(java.lang.String dimensionName)

  Generates a unique identification for a custom `MdmPrimaryDimension`.
  Parameters:
    `dimensionName` - A `String` that has the name of the custom `MdmPrimaryDimension`.
  Returns:
    A `String` that has the unique identification of the custom `MdmPrimaryDimension`.

### generateHierarchyID

    public java.lang.String generateHierarchyID(MdmPrimaryDimension primaryDimension,
                                                java.lang.String hierarchyName)

  Generates a unique identification for a custom `MdmHierarchy`.
  Parameters:
    `primaryDimension` - The `MdmPrimaryDimension` of which the custom `MdmHierarchy` is a component.
    `hierarchyName` - A `String` that has the name of the custom `MdmHierarchy`.
  Returns:
    A `String` that has the unique identification of the custom `MdmHierarchy`.

### generateLevelID

    public java.lang.String generateLevelID(MdmLevelHierarchy levelHierarchy,
                                            java.lang.String levelName)

  Generates a unique identification for a custom `MdmLevel`.
  Parameters:
    `levelHierarchy` - The `MdmLevelHierarchy` of which the custom `MdmLevel` is a level.
    `levelName` - A `String` that has the name of the custom `MdmLevel`.
  Returns:
    A `String` that has the unique identification of the custom `MdmLevel`.

### generateAttributeID

    public java.lang.String generateAttributeID(MdmPrimaryDimension primaryDimension,
                                                java.lang.String attributeName)

  Generates a unique identification for a custom `MdmAttribute`.
  Parameters:
    `primaryDimension` - The `MdmPrimaryDimension` of which the custom `MdmAttribute` is an attribute.
    `attributeName` - A `String` that has the name of the custom `MdmAttribute`.
  Returns:
    A `String` that has the unique identification of the custom `MdmAttribute`.

### generateDerivedAttributeID

    public java.lang.String generateDerivedAttributeID(MdmPrimaryDimension primaryDimension,
                                                       java.lang.String derivedAttributeType)

  Generates a unique identification for a custom derived `MdmAttribute`.
  Parameters:
    `primaryDimension` - The `MdmPrimaryDimension` of which the custom derived `MdmAttribute` is an attribute.
    `attributeName` - A `String` that has the name of the custom derived `MdmAttribute`.
  Returns:
    A `String` that has the unique identification of the custom derived `MdmAttribute`.

### generateMeasureID

    public java.lang.String generateMeasureID(MtmPartitionedCube cube,
                                              java.lang.String measureName)

  Generates a unique identification for a custom `MdmMeasure`.
  Parameters:
    `cube` - The `MtmPartitionedCube` of which the custom `MdmMeasure` is a measure.
    `measureName` - A `String` that has the name of the custom `MdmMeasure`.
  Returns:
    A `String` that has the unique identification of the custom `MdmMeasure`.

### generateMeasureDimensionID

    public java.lang.String generateMeasureDimensionID()

  Generates a unique identification for a custom `MdmMeasureDimension`.
  Returns:
    A `String` that has the unique identification of the custom `MdmMeasureDimension`.

### generateCloneID

    public java.lang.String generateCloneID(MdmObject prototype)

  Generates a unique identification for a custom `MdmObject` that is a copy of an existing `MdmObject`. For example, the `MdmCustomObjectFactory.createValueHierarchy` method creates an `MdmValueHierarchy` that is a copy of an existing `MdmLevelHierarchy`. The `MdmNamingConvention` in use generates a unique identification for the custom `MdmValueHierarchy` so that it has a different ID from the original `MdmLevelHierarchy`.
  Parameters:
    `prototype` - The `MdmObject` that you want to clone.
  Returns:
    A `String` that has the unique identification of the cloned `MdmObject`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.